Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-SU-2016:1527-1: moderate: Security update for glibc
openSUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:1527-1
Rating: moderate
References: #969727 #973010 #973164 #980483 #980854
Cross-References: CVE-2016-1234 CVE-2016-3075 CVE-2016-3706
CVE-2016-4429
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that solves four vulnerabilities and has one
errata is now available.

Description:


This update for glibc fixes the following issues:

- glob-altdirfunc.patch: Do not copy d_name field of struct dirent
(CVE-2016-1234, boo#969727, BZ #19779)
- nss-dns-memleak-2.patch: fix memory leak in _nss_dns_gethostbyname4_r
(boo#973010)
- nss-dns-getnetbyname.patch: fix stack overflow in
_nss_dns_getnetbyname_r (CVE-2016-3075, boo#973164, BZ #19879)
- getaddrinfo-hostent-conv-stack-overflow.patch: getaddrinfo stack
overflow in hostent conversion (CVE-2016-3706, boo#980483, BZ #20010)
- clntudp-call-alloca.patch: do not use alloca in clntudp_call
(CVE-2016-4429, boo#980854, BZ #20112)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-699=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

glibc-2.19-16.25.1
glibc-debuginfo-2.19-16.25.1
glibc-debugsource-2.19-16.25.1
glibc-devel-2.19-16.25.1
glibc-devel-debuginfo-2.19-16.25.1
glibc-devel-static-2.19-16.25.1
glibc-extra-2.19-16.25.1
glibc-extra-debuginfo-2.19-16.25.1
glibc-locale-2.19-16.25.1
glibc-locale-debuginfo-2.19-16.25.1
glibc-profile-2.19-16.25.1
glibc-utils-2.19-16.25.1
glibc-utils-debuginfo-2.19-16.25.1
glibc-utils-debugsource-2.19-16.25.1
nscd-2.19-16.25.1
nscd-debuginfo-2.19-16.25.1

- openSUSE 13.2 (noarch):

glibc-html-2.19-16.25.1
glibc-i18ndata-2.19-16.25.1
glibc-info-2.19-16.25.1

- openSUSE 13.2 (x86_64):

glibc-32bit-2.19-16.25.2
glibc-debuginfo-32bit-2.19-16.25.2
glibc-devel-32bit-2.19-16.25.2
glibc-devel-debuginfo-32bit-2.19-16.25.2
glibc-devel-static-32bit-2.19-16.25.2
glibc-locale-32bit-2.19-16.25.2
glibc-locale-debuginfo-32bit-2.19-16.25.2
glibc-profile-32bit-2.19-16.25.2
glibc-utils-32bit-2.19-16.25.1
glibc-utils-debuginfo-32bit-2.19-16.25.1

- openSUSE 13.2 (i686):

glibc-2.19-16.25.2
glibc-debuginfo-2.19-16.25.2
glibc-debugsource-2.19-16.25.2
glibc-devel-2.19-16.25.2
glibc-devel-debuginfo-2.19-16.25.2
glibc-devel-static-2.19-16.25.2
glibc-locale-2.19-16.25.2
glibc-locale-debuginfo-2.19-16.25.2
glibc-profile-2.19-16.25.2

- openSUSE 13.2 (i586):

glibc-obsolete-2.19-16.25.1
glibc-obsolete-debuginfo-2.19-16.25.1


References:

https://www.suse.com/security/cve/CVE-2016-1234.html
https://www.suse.com/security/cve/CVE-2016-3075.html
https://www.suse.com/security/cve/CVE-2016-3706.html
https://www.suse.com/security/cve/CVE-2016-4429.html
https://bugzilla.suse.com/969727
https://bugzilla.suse.com/973010
https://bugzilla.suse.com/973164
https://bugzilla.suse.com/980483
https://bugzilla.suse.com/980854


< Previous Next >
This Thread
  • No further messages